package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * 分地域24h
 *
 * @author dyp
 */
@Service
public class Dup348HRegionRecallStrategy extends AbstractRegionRecallStrategy {
    //  record_key_prefix = config_.RECORD_KEY_NAME_PREFIX_LAST_VIDEO_REGION_DUP3_48H
    //            pool_key_prefix = config_.RECALL_KEY_NAME_PREFIX_DUP3_REGION_48H_H
    //            last_video_key_prefix = config_.LAST_VIDEO_FROM_REGION_DUP3_48H_PREFIX
    //            push_from = config_.PUSH_FROM['rov_recall_48h_dup']
    @Override
    protected String recordKey(RecallParam param) {
        return String.format("recall:last:record:region:dup3:48h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String poolKey(RecallParam param, String now_dt, int h) {
        return String.format("recall:item:score:region:dup3:48h:%s:%s:%s:%s:%s", param.getProvinceCode(), param.getDataKey(), param.getRuleKey(), now_dt, h);
    }

    @Override
    protected String lastVideoKey(RecallParam param) {
        return String.format("recall:last:item:region:dup3:48h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String pushFrom() {
        return "rov_recall_48h_dup";
    }
}
